#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Image
%define		pnam	ExifTool
Summary:	Perl module for reading and writing image metadata
Summary(pl.UTF-8):	Moduł Perla do czytania i zapisywania metadanych w plikach graficznych
Name:		perl-Image-ExifTool
Version:	10.16
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.sno.phy.queensu.ca/~phil/exiftool/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f14f60153aaabbc00d8bfb40222cf1eb
URL:		http://www.sno.phy.queensu.ca/~phil/exiftool/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Archive-Zip
BuildRequires:	perl-Digest-MD5
BuildRequires:	perl-Encode
%endif
Requires:	perl-Encode
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# awk -vname="File Types" '{ if ( start ) { if ( $0 ~ /^$/ ) { print "%{nil}"; exit 0 } print $0 "\\" } if ( $0 ~ name ) start = 1; }' < README
# awk -vname="Meta Information" '{ if ( start ) { if ( $0 ~ /^$/ ) { print "%{nil}"; exit 0 } print $0 "\\" } if ( $0 ~ name ) start = 1; }' < README

%description
ExifTool is a customizable set of Perl modules plus an application
script for reading and writing meta information in a wide variety of
files, including the maker note information of many digital cameras by
various manufacturers such as Canon, Casio, FujiFilm, GE, HP,
JVC/Victor, Kodak, Leaf, Minolta/Konica-Minolta, Nikon, Olympus/Epson,
Panasonic/Leica, Pentax/Asahi, Reconyx, Ricoh, Samsung, Sanyo,
Sigma/Foveon and Sony.

%description -l pl.UTF-8
ExifTool to dostosowywalny zestaw modułów perlowych oraz aplikacja do
czytania i zapisywania metadanych w szerokiej gamie rodzajów plików.
ExifTool odczytuje również informacje dodatkowe o zdjęciach zapisywane
przez aparaty cyfrowe takich firm jak Canon, Casio, FujiFilm, GE, HP,
JVC/Victor, Kodak, Leaf, Minolta/Konica-Minolta, Nikon, Olympus/Epson,
Panasonic/Leica, Pentax/Asahi, Reconyx, Ricoh, Samsung, Sanyo,
Sigma/Foveon i Sony.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

# make sure description is up-to-date
#echo "%{supported_file_types}" > supported_file_types.old.txt
#echo "%{supported_meta_information}" > supported_meta_information.old.txt

#awk -vname="File Types" '{ if ( start ) { if ( $0 ~ /^$/ ) { print ""; exit 0 } print } if ( $0 ~ name ) { start = 1; print "" }; }' < README > supported_file_types.new.txt
#awk -vname="Meta Information" '{ if ( start ) { if ( $0 ~ /^$/ ) { print ""; exit 0 } print } if ( $0 ~ name ) { start = 1; print "" }; }' < README > supported_meta_information.new.txt

#cmp supported_file_types.old.txt supported_file_types.new.txt
#cmp supported_meta_information.old.txt supported_meta_information.new.txt

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor \
	destdir=$RPM_BUILD_ROOT
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/File/RandomAccess.pod \
	$RPM_BUILD_ROOT%{perl_vendorlib}/Image/ExifTool{,/*}.pod \
	$RPM_BUILD_ROOT%{perl_vendorlib}/Image/ExifTool/README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes html
%attr(755,root,root) %{_bindir}/exiftool
%{perl_vendorlib}/File/RandomAccess.pm
%{perl_vendorlib}/Image/ExifTool.pm
%dir %{perl_vendorlib}/Image/ExifTool
%{perl_vendorlib}/Image/ExifTool/*.p[lm]
%dir %{perl_vendorlib}/Image/ExifTool/Charset
%{perl_vendorlib}/Image/ExifTool/Charset/*.pm
%dir %{perl_vendorlib}/Image/ExifTool/Lang
%lang(cs) %{perl_vendorlib}/Image/ExifTool/Lang/cs.pm
%lang(de) %{perl_vendorlib}/Image/ExifTool/Lang/de.pm
%lang(en_CA) %{perl_vendorlib}/Image/ExifTool/Lang/en_ca.pm
%lang(en_GB) %{perl_vendorlib}/Image/ExifTool/Lang/en_gb.pm
%lang(es) %{perl_vendorlib}/Image/ExifTool/Lang/es.pm
%lang(fi) %{perl_vendorlib}/Image/ExifTool/Lang/fi.pm
%lang(fr) %{perl_vendorlib}/Image/ExifTool/Lang/fr.pm
%lang(it) %{perl_vendorlib}/Image/ExifTool/Lang/it.pm
%lang(ja) %{perl_vendorlib}/Image/ExifTool/Lang/ja.pm
%lang(ko) %{perl_vendorlib}/Image/ExifTool/Lang/ko.pm
%lang(nl) %{perl_vendorlib}/Image/ExifTool/Lang/nl.pm
%lang(pl) %{perl_vendorlib}/Image/ExifTool/Lang/pl.pm
%lang(ru) %{perl_vendorlib}/Image/ExifTool/Lang/ru.pm
%lang(sv) %{perl_vendorlib}/Image/ExifTool/Lang/sv.pm
%lang(tr) %{perl_vendorlib}/Image/ExifTool/Lang/tr.pm
%lang(zh_CN) %{perl_vendorlib}/Image/ExifTool/Lang/zh_cn.pm
%lang(zh_TW) %{perl_vendorlib}/Image/ExifTool/Lang/zh_tw.pm
%{_mandir}/man1/exiftool.1p*
%{_mandir}/man3/File::RandomAccess.3pm*
%{_mandir}/man3/Image::ExifTool*.3pm*
%changelog
* Thu May 12 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Image-ExifTool.git;a=log;h=master

* Thu May 12 2016 Tomasz Pala <gotar@pld-linux.org> 27aa184
- upgraded to 10.16, unbloated description

* Mon Apr 22 2013 Marcin Krol <hawk@tld-linux.org> ecc202f
- updated to 9.28

* Fri Jan 25 2013 Jakub Bogusz <qboosh@pld-linux.org> 2c8acca
- package fi lang file

* Mon Jan 21 2013 Marcin Krol <hawk@tld-linux.org> d1ed85e
- updated to 9.14

* Mon Sep 12 2011 Jakub Bogusz <qboosh@pld-linux.org> cc4ccbf
- updated to 8.64

* Thu Jun 02 2011 Caleb Maclennan <caleb@alerque.com> 90af878
- Up to 8.57

* Sat May 07 2011 Caleb Maclennan <caleb@alerque.com> 90d829a
- Up to 8.56

* Wed Apr 13 2011 Caleb Maclennan <caleb@alerque.com> 30a4994
- Up to 8.55

* Sat Mar 26 2011 Jakub Bogusz <qboosh@pld-linux.org> 64b5b69
- updated to 8.52

* Sat Mar 19 2011 Jakub Bogusz <qboosh@pld-linux.org> 7769ebc
- updated to 8.51

* Sun Feb 06 2011 sparky <sparky@pld-linux.org> c1897a5
- make sure descriptions are up-to-date

* Sun Feb 06 2011 hawk <hawk@pld-linux.org> 4a5e207
- updated to 8.48
- please remember to update package descriptions too!

* Mon Jan 24 2011 Caleb Maclennan <caleb@alerque.com> 44c87c9
- Up to 8.46

* Wed Jan 19 2011 Caleb Maclennan <caleb@alerque.com> f515495
- Up to 8.45

* Tue Jan 04 2011 Caleb Maclennan <caleb@alerque.com> d52db12
- Up to 8.43

* Fri Dec 17 2010 Caleb Maclennan <caleb@alerque.com> 028b245
- Up to 8.42

* Tue Nov 23 2010 Caleb Maclennan <caleb@alerque.com> 8f75acd
- Up to 8.40

* Sat Nov 13 2010 Caleb Maclennan <caleb@alerque.com> 7792d85
- Up to 8.39

* Mon Nov 08 2010 Caleb Maclennan <caleb@alerque.com> 95b8ca9
- Up to 8.38

* Fri Nov 05 2010 Caleb Maclennan <caleb@alerque.com> 7612054
- Up to 8.37

